+2006-10-28 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Fix automake problem. Patch from Nix
+
+2006-10-26 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Fix mount.fuse to use /bin/sh instead of /bin/bash, which is not
+ always available on embedded systems. Patch from Paul Smith
+
+ * Fix util/Makefile.am, so that failure to run update-rc.d or
+ device creation doesn't cause make to fail. Reported by Paul
+ Smith
+
2006-10-21 Miklos Szeredi <miklos@szeredi.hu>
* Released 2.6.0
Mount options
=============
+Most of the generic mount options described in 'man mount' are
+supported (ro, rw, suid, nosuid, dev, nodev, exec, noexec, atime,
+noatime, sync async, dirsync). Filesystems are mounted with
+'-onodev,nosuid' by default, which can only be overridden by a
+privileged user.
+
These are FUSE specific mount options that can be specified for all
filesystems:
Mount a filesystem backed by a block device. This is a privileged
option. The device must be specified with the 'fsname=NAME' option.
+
+
+Reporting bugs
+==============
+
+Please send bug reports to the <fuse-devel@lists.sourceforge.net>
+mailing list.
+
+The list is open, you need not be subscribed to post.
AC_PROG_LIBTOOL
AC_PROG_CC
+AM_PROG_CC_C_O
# compatibility for automake < 1.8
if test -z "$mkdir_p"; then
-chmod u+s $(DESTDIR)$(bindir)/fusermount
@if test ! -e $(DESTDIR)/dev/fuse; then \
$(mkdir_p) $(DESTDIR)/dev; \
- echo "mknod $(DESTDIR)/dev/fuse -m 0666 c 10 229"; \
- mknod $(DESTDIR)/dev/fuse -m 0666 c 10 229; \
+ echo "mknod $(DESTDIR)/dev/fuse -m 0666 c 10 229 || true"; \
+ mknod $(DESTDIR)/dev/fuse -m 0666 c 10 229 || true; \
fi
EXTRA_DIST = mount.fuse udev.rules init_script
$(mkdir_p) $(DESTDIR)$(INIT_D_PATH)
$(INSTALL_PROGRAM) $(srcdir)/init_script $(DESTDIR)$(INIT_D_PATH)/fuse
@if test -x /usr/sbin/update-rc.d; then \
- echo "/usr/sbin/update-rc.d fuse start 34 S . start 41 0 6 ."; \
- /usr/sbin/update-rc.d fuse start 34 S . start 41 0 6 .; \
+ echo "/usr/sbin/update-rc.d fuse start 34 S . start 41 0 6 . || true"; \
+ /usr/sbin/update-rc.d fuse start 34 S . start 41 0 6 . || true; \
fi
install-data-local:
rm -f $(DESTDIR)$(UDEV_RULES_PATH)/99-fuse.rules
rm -f $(DESTDIR)$(INIT_D_PATH)/fuse
@if test -x /usr/sbin/update-rc.d; then \
- echo "/usr/sbin/update-rc.d fuse remove"; \
- /usr/sbin/update-rc.d fuse remove; \
+ echo "/usr/sbin/update-rc.d fuse remove || true"; \
+ /usr/sbin/update-rc.d fuse remove || true; \
fi
-#!/bin/bash
+#!/bin/sh
#
# FUSE mount helper
# Petr Klima <qaxi@seznam.cz>
[ "$#" -ge 2 ] || die "${USAGE}"
-FSTYPE=${1%%\#*} # for now i have to be same as FUSE mount binary
- # should be configurable
+# for now i have to be same as FUSE mount binary
+# should be configurable
+eval `echo "$1" | sed -n 's,\(^[^#][^#]*\)\(#\(.*\)\)*,FSTYPE="\1" MOUNTPATH="\3",p'`
export PATH
FSBIN=`which ${FSTYPE} 2>/dev/null` \
|| die "Can not find FUSE mount binary for FS ${FSTYPE}" 1
-MOUNTPATH=${1#*#}
-
# was there an # in $1
[ "$1" = "$MOUNTPATH" ] && MOUNTPATH=""
shift
shift
-ignore_opts="(user|nouser|users|auto|noauto|_netdev)"
+ignore_opts='\(user\|nouser\|users\|auto\|noauto\|_netdev\)'
-OPTIONS=`echo $@ | sed -r "s/(,${ignore_opts}|${ignore_opts},)//g"`
+OPTIONS=`echo $@ | sed "s/,${ignore_opts}\|${ignore_opts},//g"`
${FSTYPE} ${MOUNTPATH} ${MOUNTPOINT} ${OPTIONS}